---
tags:
  - Events
description: Updates an event's status if it has been acknowledged by a user.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: data
    type: object
    schema: {
      example: {
        'acknowledged': true
      }
    }
produces:
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
          "id": 1,
          "user": {
            "id": 1,
            "name": "User name"
          },
          "category": {
            "name": "API_REQUEST",
            "display_name": "API Request",
            "acknowledgeable": False
          },
          "timestamp": 2024-01-01 00:00:00,
          "method": "GET",
          "url": "/points/1",
          "params": { "param": 1 },
          "response_timestamp": 2024-01-01 01:00:00,
          "response_http_code": 200,
          "user_agent": "python-requests",
          "internal": False,
          "time_taken": "1 hour",
          "payload": { "title": "Notification title",
            "options": {
              "body": "Notification body"
            } 
          },
          "acknowledged_by": {
            "id": 1
          },
          "acknowledged_at": 2024-01-01 02:00:00
      }